Creates a SpecimenCollectionKitOrderInput resource.
Create an SCK order. `productIds` accepts a UUID, canonical ID, or `/sck/v1/products/{id}` IRI for each product. Canonical IDs are recommended because product UUIDs are not guaranteed to match between demo and production environments.
Create an SCK order. productIds accepts a UUID, canonical ID, or /sck/v1/products/{id} IRI for each product. Canonical IDs are recommended because product UUIDs are not guaranteed to match between demo and production environments.
Authorization
apiKey In: header
Header Parameters
Language for Errors and Translatable properties
Allowed values: "de", "en", "fr"
The new SpecimenCollectionKitOrderInput resource
TypeScript Definitions
Use the request body type in TypeScript.
Identifiers of the specimen collection kit products to order. Each entry may be a UUID, an SCK product IRI, or a canonical ID. Provide at least one product ID.
Optional partner-defined metadata. Up to 10 entries are supported and values must be JSON primitive values (string, number, or boolean).
Response Body
curl -X POST "https://example.com/sck/v1/orders" \ -H "accept-language: de" \ -H "Content-Type: application/json" \ -d '{ "productIds": [ "string" ], "contact": { "firstName": "string", "lastName": "string", "email": "user@example.com" }, "shippingAddress": { "address1": "string", "zip": "string", "city": "string", "firstName": "string", "lastName": "string" } }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kits": [ "/entity/1" ], "contact": { "firstName": "string", "lastName": "string", "email": "user@example.com", "phone": "string" }, "shippingAddress": { "address1": "string", "address2": "string", "zip": "string", "city": "string", "countryCode": "DE", "firstName": "string", "lastName": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "phone": "string", "company": "string", "name": "string" }, "metadata": { "property1": true, "property2": true }, "status": "new", "createdAt": "2019-08-24T14:15:22Z", "fulfilledAt": "2019-08-24T14:15:22Z", "outboundShipment": { "provider": "DHL", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "trackingCode": "string", "url": "string", "shipmentStatus": "confirmed", "providerStatus": "string", "rawProviderHistory": [ "string" ] }, "returnShipment": { "provider": "DHL", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "trackingCode": "string", "url": "string", "shipmentStatus": "confirmed", "providerStatus": "string", "rawProviderHistory": [ "string" ] }}